#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x7fca474e, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x37717383, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x2cef363e, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x9bc6dc99, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xb85368b6, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xddd1d026, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x3b7586f3, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xf4a4eb0a, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xce2c7964, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x4602c61d, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xb7496f4f, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x1c1efeec, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xc01e6594, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x9539dce9, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xf1ed68a0, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x043859b9, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x30de1389, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x483294ef, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xc92549c3, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xd080d18f, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x9e6392d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62fc5ab2, "mdiobus_write" },
	{ 0x76a917d9, "mdiobus_read" },
	{ 0x5795aa94, "phy_write_mmd" },
	{ 0xd71a8764, "phy_modify" },
	{ 0x3874df06, "phy_trigger_machine" },
	{ 0x67a06306, "phy_error" },
	{ 0xffd32c6f, "phy_modify_changed" },
	{ 0x486d6fe6, "genphy_update_link" },
	{ 0x6450d9a6, "genphy_read_lpa" },
	{ 0x42d405e, "phy_resolve_aneg_pause" },
	{ 0x2d1fb3d8, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x874a84ae, "_dev_err" },
	{ 0x1ed7d40d, "phy_read_mmd" },
	{ 0xa0362418, "ethnl_cable_test_result_with_src" },
	{ 0xc544f83, "ethnl_cable_test_fault_length_with_src" },
	{ 0x693fb8a3, "phy_modify_mmd" },
	{ 0xce60f4e0, "genphy_soft_reset" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
