#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x415aac3e, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x116e0a7a, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xa533df7c, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xbed74c0d, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xd3633cea, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x022f2167, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x7a22a07d, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x49617ea9, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xd1278837, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x7c916eea, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x75f15212, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x004c7113, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x21fe5d6b, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x83894e0f, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xf5727003, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x0d2bdeae, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x9d885a96, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x30802e11, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xdfa523e7, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x15116abc, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x7ebf6477, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xa9ae6cca, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x81253650, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xeb46a796, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xf2e8126a, "_gpl");
SYMBOL_CRC(print_tuple, 0xbea59d86, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x7b8e369f, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x95f325c9, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xaa486d05, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xa8909ed9, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x17a08cf7, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xf60e8baf, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xf7f2eefb, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xa978e587, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xa5e04c5a, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xd163221b, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x9ab41d6f, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x4753b115, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x5cd45cdd, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x4e216b04, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xc3a06e91, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x9013e952, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x114cca7c, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xdcb0a740, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x22b82211, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x3a70a16c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x4fd1077c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x2d28f8db, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xc152325f, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x0f281da0, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x2289aa0c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x8353611d, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xe76c2553, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x4b5a6a6c, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xc854d7f8, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xa9745b06, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x100db6e8, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x0e5298ec, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x30e2696d, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x4508138a, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xf69b7552, "_gpl");
SYMBOL_CRC(nf_confirm, 0x97c4484a, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x150d04df, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x90c6152f, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xca834846, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x1c1a2f53, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xd1a9dd19, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x4df34c83, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xd06a0f29, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xb136958f, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x5fea9406, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xd4959017, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x66deaa0a, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xe33a6bcf, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xc44bc69b, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xfd38e679, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x720bc6fc, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x65299772, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xbd9b166d, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x849b3133, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x98fbc310, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xcbb1150a, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xabfe053f, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x48984b74, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xaac537e4, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x7178729c, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x70255e86, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x3a424403, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fab5f93, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x771b97d4, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2c2f074a, "nf_defrag_ipv4_disable" },
	{ 0xc134e3d7, "nf_ip6_checksum" },
	{ 0x34e20961, "proc_dou8vec_minmax" },
	{ 0x22c0c574, "skb_copy_bits" },
	{ 0x3b0d1074, "param_ops_uint" },
	{ 0xba7b45cf, "proc_dointvec_jiffies" },
	{ 0x5c95d0b9, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8dc529d4, "nf_register_sockopt" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xc9719685, "nfct_btf_struct_access" },
	{ 0xecfc46cd, "param_set_uint" },
	{ 0xeb6520fa, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5d2a5be, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5a199110, "kmem_cache_create" },
	{ 0xc03194e2, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4090589d, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x90052d7f, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x4d8430bc, "nf_unregister_sockopt" },
	{ 0x5a5177f2, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0xece82f81, "nf_defrag_ipv6_disable" },
	{ 0xc2e2ba0c, "ipv6_skip_exthdr" },
	{ 0x8621f5d6, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xbe999ca2, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xb826f25, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x72533985, "nf_checksum" },
	{ 0xb363ab1f, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17061381, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xc05fa33, "kmem_cache_free" },
	{ 0x7fe95c74, "seq_putc" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xbf30d9e1, "nf_checksum_partial" },
	{ 0x5cc896e, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x5943ca2b, "nf_unregister_net_hooks" },
	{ 0xdf4e4510, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8f9ac6db, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x37ffcb90, "nf_log_packet" },
	{ 0x538febe, "make_kgid" },
	{ 0x3bd59ac1, "nf_ip_checksum" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x41964033, "register_btf_kfunc_id_set" },
	{ 0xa373a32, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d285302, "down_read" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x795613b2, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6e4fcf7, "__skb_checksum" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xa1128fc4, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4f7ff654, "param_ops_bool" },
	{ 0xe202c576, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbdb0fbc, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe42dfe7a, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbf8315a6, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xf4448d33, "proc_dointvec" },
	{ 0x40236dc7, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd75ee725, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x15f4c029, "unregister_net_sysctl_table" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x9cb86b7b, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x2d965e1d, "up_read" },
	{ 0x18e95b3d, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa5f8ff3, "kmem_cache_destroy" },
	{ 0x608e6904, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "592075472331D0393834752");
MODULE_INFO(rhelversion, "9.7");
