#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x4691d5f7, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xbbbd3a52, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xb30ddf89, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x7eb85f9d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x6b0346a7, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x92b02817, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xcf7bbc04, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x605b572e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xe5c00eb8, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xbf2692ef, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x1b88207d, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x1550f688, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xed023a8b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x1c22f10a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xca444649, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x55b44dd0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xcbc30596, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x40a284dd, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x8f277b0b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x7fef24df, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x6b6228a3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xdd79bd5c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xcf51a557, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xacb44656, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x4d6a68d6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x43747ac7, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x33a1df8c, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x67081967, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x2013be21, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x4b6da0eb, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xb83e0870, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xe77e6d6b, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x4dd193af, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x337d6861, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xe12fac94, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xfe197f3c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b39d9ee, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x978707ca, "vsock_insert_connected" },
	{ 0x185e8277, "skb_put" },
	{ 0xba7bad30, "consume_skb" },
	{ 0x44b2d4f9, "trace_raw_output_prep" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x660809ff, "vsock_remove_sock" },
	{ 0x722cba96, "trace_event_printf" },
	{ 0x6975eec5, "vsock_deliver_tap" },
	{ 0x81b2a83d, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0165cd4, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8a96dd0c, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa4a929fb, "sk_error_report" },
	{ 0xfcd07828, "trace_event_buffer_commit" },
	{ 0xcfa7bd6c, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5aa763c3, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xe63b8ed4, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa195a85d, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x56f1a303, "sk_skb_reason_drop" },
	{ 0x375f6cfa, "sk_free" },
	{ 0xcabc5c9, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x81a6eed2, "__skb_recv_datagram" },
	{ 0xdf4e4510, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2ee3d2d2, "vsock_stream_has_data" },
	{ 0x9dd8894, "skb_copy_datagram_iter" },
	{ 0x326a5dff, "bpf_trace_run9" },
	{ 0x3a218e, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x8183e02, "sock_efree" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x1e886fb8, "bpf_trace_run10" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x6bb8235d, "vsock_core_get_transport" },
	{ 0x9a73a2c9, "__zerocopy_sg_from_iter" },
	{ 0x3e422186, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7911a2e6, "skb_set_owner_w" },
	{ 0xd97644b8, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x367f6ad7, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc3e86d53, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3589bc37, "msg_zerocopy_realloc" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0xefb3f34d, "vsock_create_connected" },
	{ 0xe80f3d56, "vsock_assign_transport" },
	{ 0xec98a30d, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x28d66c7e, "iov_iter_npages" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x608e6904, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdd1b9fe1, "vsock_data_ready" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "47E1979DFA663EF75B54B38");
MODULE_INFO(rhelversion, "9.7");
