#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7ad9da5, "phy_drivers_register" },
	{ 0x76a917d9, "mdiobus_read" },
	{ 0x3874df06, "phy_trigger_machine" },
	{ 0x67a06306, "phy_error" },
	{ 0x2a202850, "bcm54xx_auxctl_read" },
	{ 0x7c1b4ccc, "bcm54xx_auxctl_write" },
	{ 0x7a699595, "bcm_phy_read_shadow" },
	{ 0x90bbdbba, "bcm_phy_write_shadow" },
	{ 0xd71a8764, "phy_modify" },
	{ 0x587221d0, "genphy_c37_config_aneg" },
	{ 0xa8e60b30, "__genphy_config_aneg" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0xdfdfd50c, "bcm_phy_get_wol" },
	{ 0xc4fdc616, "bcm_phy_set_wol" },
	{ 0xbd01dcbe, "bcm_phy_get_stats" },
	{ 0x9e80c2e9, "phy_drivers_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x62fc5ab2, "mdiobus_write" },
	{ 0x86bb4a61, "bcm_config_lre_aneg" },
	{ 0xa92aaf74, "of_find_property" },
	{ 0xd51d68d9, "bcm_phy_write_exp" },
	{ 0x81ac11c4, "bcm_phy_read_exp" },
	{ 0xd3b14346, "genphy_c37_read_status" },
	{ 0xe9ea2649, "genphy_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd6309d6d, "bcm_phy_get_sset_count" },
	{ 0xd137b445, "bcm_ptp_probe" },
	{ 0x9adef36b, "devm_gpiod_get" },
	{ 0xe9474850, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x828b8c6d, "devm_request_threaded_irq" },
	{ 0x2f7509b6, "device_set_wakeup_capable" },
	{ 0xce7326cd, "device_wakeup_enable" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xb0842807, "bcm_ptp_config_init" },
	{ 0x911c9cf, "pm_wakeup_dev_event" },
	{ 0xa74d3dcb, "genphy_resume" },
	{ 0xce60f4e0, "genphy_soft_reset" },
	{ 0x688e82ad, "phy_resolve_aneg_linkmode" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x5d0add58, "genphy_read_abilities" },
	{ 0xeda5d1c1, "bcm_phy_config_intr" },
	{ 0x2b0de655, "bcm_phy_handle_interrupt" },
	{ 0xe85d0ac5, "bcm_phy_get_strings" },
	{ 0xa0aa2a41, "bcm_phy_led_brightness_set" },
	{ 0xc7136ba7, "genphy_suspend" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "396EFF9154C30096E313E3D");
MODULE_INFO(rhelversion, "9.7");
