#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x93111d74, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xaede747a, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x2d9c43d9, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x4ec57e63, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xea24098e, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x5c2d8316, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xea8e43f2, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x0beefc8c, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x5811f96e, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xa724c3b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6722dd14, "dst_cache_set_ip4" },
	{ 0xcf3532c2, "kernel_bind" },
	{ 0xecbfdf10, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x78059b75, "netdev_warn" },
	{ 0x87708cba, "udp_tunnel_nic_ops" },
	{ 0x817b348, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x90f2caf2, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x97177001, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfecd0978, "iptunnel_xmit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xcde3a856, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xdd712327, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb266cdcb, "__dynamic_netdev_dbg" },
	{ 0xd321454f, "dst_cache_get_ip4" },
	{ 0x8c9affdb, "sock_create_kern" },
	{ 0x481f1a4c, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3f79d22c, "metadata_dst_alloc" },
	{ 0x4380f654, "dst_release" },
	{ 0x169a7451, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x89cce4d5, "sock_bindtoindex" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.7");
