#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xbfa283f4, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xc6925000, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x9ab9d467, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4aa4df8, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x755bd089, "sock_queue_rcv_skb_reason" },
	{ 0x411631d7, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf8ca527c, "bpf_trace_run4" },
	{ 0x22c0c574, "skb_copy_bits" },
	{ 0xb23db49, "radix_tree_insert" },
	{ 0x185e8277, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba7bad30, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x44b2d4f9, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x806fe5fb, "radix_tree_lookup" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x722cba96, "trace_event_printf" },
	{ 0xcf3532c2, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x81b2a83d, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x8a96dd0c, "event_triggers_call" },
	{ 0xcfc1e27a, "__wake_up" },
	{ 0x1d977036, "__module_get" },
	{ 0x1a2e9efb, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2ac4922, "__pskb_copy_fclone" },
	{ 0xa4a929fb, "sk_error_report" },
	{ 0x605c2735, "skb_queue_purge_reason" },
	{ 0xa7f3dfc7, "radix_tree_iter_delete" },
	{ 0xfcd07828, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9843eac8, "proto_unregister" },
	{ 0x59f860ec, "sock_register" },
	{ 0xc0c05363, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5aa763c3, "trace_event_ignore_this_pid" },
	{ 0xe63b8ed4, "__alloc_skb" },
	{ 0x459d85a6, "rt_write_unlock" },
	{ 0x28baeda6, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb826f25, "module_put" },
	{ 0xf06f8590, "__xa_alloc" },
	{ 0xd10e866b, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa195a85d, "perf_trace_run_bpf_submit" },
	{ 0x4aa44e37, "__traceiter_sk_data_ready" },
	{ 0x17061381, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa5eb9e3d, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x56f1a303, "sk_skb_reason_drop" },
	{ 0x314220de, "xa_load" },
	{ 0xac8ff299, "kernel_getsockname" },
	{ 0x1c0c5122, "do_wait_intr_irq" },
	{ 0x375f6cfa, "sk_free" },
	{ 0x1ffd00bf, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xe882c4dd, "skb_push" },
	{ 0x436113da, "sock_no_listen" },
	{ 0xcabc5c9, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdf4e4510, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9dd8894, "skb_copy_datagram_iter" },
	{ 0x51bf47fe, "sk_alloc" },
	{ 0x349e7b01, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xc1de99f3, "sock_no_mmap" },
	{ 0xe9cdc11e, "__init_waitqueue_head" },
	{ 0xbfeac777, "sock_no_sendpage" },
	{ 0xcf968842, "__netdev_alloc_skb" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x4b0c4147, "__xa_insert" },
	{ 0x1efc4220, "xa_erase" },
	{ 0xcea3de2b, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7911a2e6, "skb_set_owner_w" },
	{ 0xd97644b8, "trace_event_buffer_reserve" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x8c9affdb, "sock_create_kern" },
	{ 0x2f9f6cf2, "xa_find" },
	{ 0x692bb046, "skb_recv_datagram" },
	{ 0x5867ef90, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x753f325a, "xa_store" },
	{ 0x493fe4e7, "rt_write_lock" },
	{ 0x367f6ad7, "_copy_from_iter" },
	{ 0x169a7451, "sock_release" },
	{ 0x29e74e6c, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2937f5a2, "xa_find_after" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xec98a30d, "iov_iter_revert" },
	{ 0x72326161, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0x6dfb4241, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x608e6904, "release_sock" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
